using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MathWorks.MATLAB.NET.Arrays;
using MathWorks.MATLAB.NET.WebFigures;
using celltower_www1;

public partial class _Default : System.Web.UI.Page
{
  private CellTower1 myComponent;
  protected void Page_Load(object sender, EventArgs e)
  {
    myComponent = new CellTower1();

    MWArray tower = Int16.Parse(TextBox1.Text);
    MWArray size = Int16.Parse(TextBox2.Text);
    MWArray seed = Int16.Parse(TextBox3.Text);
    MWArray height = WebFigureControl1.Height.Value;
    MWArray width = WebFigureControl1.Width.Value;

    MWArray MWFig = myComponent.optimtowers_www(tower, size, seed, height, width);
    WebFigure myFig = new WebFigure(MWFig);
    WebFigureControl1.WebFigure = myFig;

    tower = Int16.Parse(TextBox1.Text) - 5;
      WebFigure myFig2 = new WebFigure(myComponent.optimtowers_www(tower, size, seed, height, width));
      WebFigureControl2.WebFigure = myFig2; 

  }
}
