%% Phone Tower Optimization Demo

% Copyright 2006 The MathWorks, Inc.

%% Setup problem
towers = 12;
side = 10;
seed = 5;
[R,xL,xU,yL,yU,lb,ub,x0] = myCelltowersetup(towers,side,seed);

%% Display initial configuration
figure('name', 'Initial Cell Tower Configuration');
plotFcn(x0,1,'');

%% Perform optimization and display result
[x,fval,exitflag,output] = myOptim(x0,lb,ub);

plotOptimSummary(output,R,xL,xU,yL,yU);
